-- 将以下这些表中的字段移动到相应的多语言表中去
-- t_wf_feedback_l表
INSERT INTO t_wf_feedback_l (
	fpkid,
	fid,
	flocaleid,
	FFEEDBACKMSG
) SELECT
	fb.fid,
	fb.fid,
	'zh_CN',
	fb.FFEEDBACKMSG
FROM
	t_wf_feedback fb
WHERE
	NOT EXISTS (
		SELECT
			fl.fid
		FROM
			t_wf_feedback_l fl
		WHERE
			fl.fid = fb.fid
	);

-- t_wf_hiauditpointinst_l表的ffailedexpression
UPDATE t_wf_hiauditpointinst_l
SET ffailedexpression = (
	SELECT
		hi.ffailedexpression
	FROM
		t_wf_hiauditpointinst hi
	WHERE
		hi.FID = t_wf_hiauditpointinst_l.FID
	AND hi.ffailedexpression IS NOT NULL
)
WHERE
	FLOCALEID = 'zh_CN'
AND ffailedexpression IS NULL;

-- t_wf_hiauditpointinst_l表的FDESCEXPRESSION
UPDATE t_wf_hiauditpointinst_l
SET FDESCEXPRESSION = (
	SELECT
		hi.FDESCEXPRESSION
	FROM
		t_wf_hiauditpointinst hi
	WHERE
		hi.FID = t_wf_hiauditpointinst_l.FID
	AND hi.FDESCEXPRESSION IS NOT NULL
)
WHERE
	FLOCALEID = 'zh_CN'
AND FDESCEXPRESSION IS NULL;

-- t_wf_hifeedback_l表
INSERT INTO t_wf_hifeedback_l (
	fpkid,
	fid,
	flocaleid,
	FFEEDBACKMSG
) SELECT
	fb.fid,
	fb.fid,
	'zh_CN',
	fb.FFEEDBACKMSG
FROM
	t_wf_hifeedback fb
WHERE
	NOT EXISTS (
		SELECT
			fl.fid
		FROM
			t_wf_hifeedback_l fl
		WHERE
			fl.fid = fb.fid
	);

-- t_wf_taskhandlelog_l表
UPDATE t_wf_taskhandlelog_l
SET FOPINION = (
	SELECT
		th.FOPINION
	FROM
		t_wf_taskhandlelog th
	WHERE
		th.FID = t_wf_taskhandlelog_l.FID
)
WHERE
	FLOCALEID = 'zh_CN'
AND FOPINION = ' '
AND FID IN (
	SELECT
		tl.FID
	FROM
		t_wf_taskhandlelog tl
);

-- t_wf_participant_l表
UPDATE t_wf_participant_l
SET FTRANSFEROPINION = (
	SELECT
		pa.FTRANSFEROPINION
	FROM
		t_wf_participant pa
	WHERE
		pa.FID = t_wf_participant_l.FID
)
WHERE
	FLOCALEID = 'zh_CN'
AND FTRANSFEROPINION = ' '
AND FID IN (
	SELECT
		pp.FID
	FROM
		t_wf_participant pp
);

-- t_wf_hiparticipant_l表
UPDATE t_wf_hiparticipant_l
SET FTRANSFEROPINION = (
	SELECT
		hp.FTRANSFEROPINION
	FROM
		t_wf_hiparticipant hp
	WHERE
		hp.FID = t_wf_hiparticipant_l.FID
)
WHERE
	FLOCALEID = 'zh_CN'
AND FTRANSFEROPINION = ' '
AND FID IN (
	SELECT
		hpp.FID
	FROM
		t_wf_hiparticipant hpp
);




