﻿-- 系统库中t_msg_template t_msg_tplscene t_msg_type 三张表补全sql
-- 消息中心解耦之后, msg表从sys库迁移到wfs库中, 后续对wfs中的表做过结构的处理
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TEMPLATE') 
 CREATE TABLE T_MSG_TEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FMSGTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMSGCHANNEL VARCHAR(30) DEFAULT ' ' NOT NULL,
FMSGSCENE VARCHAR(300) DEFAULT ' ' NOT NULL,
FMSGTEMPLATE NCLOB,
FMSGENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TEMPLATE_L') 
 CREATE TABLE T_MSG_TEMPLATE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FMSGSCENENAME VARCHAR(300) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TPLSCENE')
 CREATE TABLE T_MSG_TPLSCENE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TPLSCENE_L') 
 CREATE TABLE T_MSG_TPLSCENE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TYPE') 
 CREATE TABLE T_MSG_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCATEGORY VARCHAR(30) DEFAULT ' ' NOT NULL,
FCHANNELS VARCHAR(300) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFYDATE DATETIME
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_TYPE_L') 
 CREATE TABLE T_MSG_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANNELNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);
-- 对三张表添加索引
EXEC P_ALTERPK 'PK_MSG_TEMPLATE', 'T_MSG_TEMPLATE', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSG_TEMPLATE_MSGTYPE') CREATE INDEX IDX_MSG_TEMPLATE_MSGTYPE ON T_MSG_TEMPLATE ( FMSGTYPE );
EXEC P_ALTERPK 'PK_T_MSG_TEMPLATE_L', 'T_MSG_TEMPLATE_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSG_TEMPLATE_L') CREATE INDEX IDX_MSG_TEMPLATE_L ON T_MSG_TEMPLATE_L ( FID ,FLOCALEID );
EXEC P_ALTERPK 'PK_T_MSG_TPLSCENE', 'T_MSG_TPLSCENE', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSG_TPLSCENE') CREATE INDEX IDX_MSG_TPLSCENE ON T_MSG_TPLSCENE ( FENTITYNUMBER );
EXEC P_ALTERPK 'PK_T_MSG_TPLSCENE_L', 'T_MSG_TPLSCENE_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSG_TPLSCENE_L') CREATE INDEX IDX_MSG_TPLSCENE_L ON T_MSG_TPLSCENE_L ( FID ,FLOCALEID );
EXEC P_ALTERPK 'PK_MSG_TYPE', 'T_MSG_TYPE', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSG_TYPE_NUMBER') CREATE INDEX IDX_MSG_TYPE_NUMBER ON T_MSG_TYPE ( FNUMBER );
EXEC P_ALTERPK 'PK_MSG_TYPE_L', 'T_MSG_TYPE_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSG_TYPE_LOCALEID') CREATE INDEX IDX_MSG_TYPE_LOCALEID ON T_MSG_TYPE_L ( FID ,FLOCALEID );
-- 三张表修改字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSG_TEMPLATE' AND KSQL_COL_NAME ='FMSGSCENENAME') 
ALTER TABLE T_MSG_TEMPLATE ADD (FMSGSCENENAME VARCHAR(300) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSG_TEMPLATE_L' AND KSQL_COL_NAME ='FMSGTEMPLATE') 
ALTER TABLE T_MSG_TEMPLATE_L ADD (FMSGTEMPLATE NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSG_TPLSCENE' AND KSQL_COL_NAME ='FNAME') 
ALTER TABLE T_MSG_TPLSCENE ADD (FNAME VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSG_TYPE' AND KSQL_COL_NAME ='FNAME') 
ALTER TABLE T_MSG_TYPE ADD (FNAME VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSG_TYPE' AND KSQL_COL_NAME ='FCHANNELNAME') 
ALTER TABLE T_MSG_TYPE ADD (FCHANNELNAME VARCHAR(100) DEFAULT ' ' NOT NULL );
EXEC p_AlterColumn 'T_MSG_TEMPLATE', 'FMSGSCENENAME', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_MSG_TEMPLATE_L', 'FMSGSCENENAME', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_MSG_TPLSCENE_L', 'FNAME', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_MSG_TPLSCENE', 'FNAME', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_MSG_TYPE', 'FNAME', 'VARCHAR(230)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_MSG_TYPE', 'FCHANNELNAME', 'VARCHAR(230)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_MSG_TYPE_L', 'FNAME', 'VARCHAR(230)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_MSG_TYPE_L', 'FCHANNELNAME', 'VARCHAR(230)', 'NOT NULL', '0100', ''' ''';
